#include "GameManager.h"
#include "ConcreteGMStates.h"

GameManager::GameManager()
{
    currentState = &TitleScreen::getInstance();
}

void GameManager::setState(GameManagerState& newState)
{
    currentState->exit(this); // do stuff before changing states
    currentState = &newState; // change the states
    currentState->enter(this); // do stuff after changing states
}

void GameManager::toggle()
{
    currentState->toggle(this);
}

