#pragma once
#include "GameManager.h"

// Forward declaration to resolve circular dependency/include
class GameManager;

class GameManagerState
{
public:
    virtual void enter(GameManager* gamemgr) = 0;
    virtual void toggle(GameManager* gamemgr) = 0;
    virtual void exit(GameManager* gamemgr) = 0;
    virtual ~GameManagerState() {}
};
